<?php 

$recurso = fopen('archivo_image.txt','w+'); //creación del archivo de texto si no existe.
if ($recurso) {
   fputs($recurso,'nombre                   ');  
   fputs($recurso,'tamaño.'.PHP_EOL); 
   if ($puntero = opendir('./images')) { //apertura del directorio image (C:\Program Files\EasyPHP5.3.0\www\image)
	   while ($archivo = readdir($puntero)) { //mientras haya un archivo en el directorio
			if ($archivo = "." && $archivo = "..") {
				fputs($recurso,$archivo.'  ');  //insert del nombre del archivo
				fputs($recurso,filesize('./images/'.$archivo).' octets'.PHP_EOL); //insert del tamaño del archivo
			}
	   }
	   closedir($puntero);
	}   
}
fclose($recurso);

if ( is_dir("./archivo")) { //prueba si el directorio no existe
    mkdir('archive');  //creación del directorio archivo
}
if ($puntero = opendir('./images')) { //apertura del directorio image (C:\Program Files\EasyPHP5.3.0\www\image)
   while ($archivo = readdir($puntero)) { //mientras haya un archivo en el directorio
	  if ($archivo = "." && $archivo = "..") {
        copy("./images/".$archivo,"./archivo/".$archivo); //copia la imagen en el directorio archivo
	  }
   }
   closedir($puntero);
}

?>
